Bug 476660 - Review Request: rubygem-restr - Simple client for RESTful web services
Review Request: rubygem-restr - Simple client for RESTful web services
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-16 09:46 EST by Jeroen van Meeuwen
Modified: 2009-02-04 21:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 21:08:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jeroen van Meeuwen 2008-12-16 09:46:20 EST
Spec URL: http://www.kanarip.com/custom/SPECS/rubygem-restr.spec
SRPM URL: http://www.kanarip.com/custom/f10/SRPMS/rubygem-restr-0.4.0-1.fc10.src.rpm
Description: Restr is a simple client for RESTful web services, designed
as a lightweight alternative to ActiveResource

rpmlint clean

koji scratch builds:

- f9: https://koji.fedoraproject.org/koji/taskinfo?taskID=1001390
- f10: https://koji.fedoraproject.org/koji/taskinfo?taskID=1001392
- f11: https://koji.fedoraproject.org/koji/taskinfo?taskID=1001396
Comment 1 Jason Tibbitts 2008-12-16 21:50:28 EST
I note the upstream web site indicates 0.5.0 is out, but I can't find the files anywhere.  That's the only weirdness I see; the package looks fine.

* source files match upstream.  sha256sum:
  db5a48d21f562af94a57bf92e44cf7d570b1f8065f4b8e83a995b796b09711a0  
   restr-0.4.0.gem
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   rubygem(restr) = 0.4.0
   rubygem-restr = 0.4.0-1.fc11
  =
   /usr/bin/env
   ruby(abi) = 1.8
   rubygems

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* rubygem(%{gemname}) provided.
* gems installed properly.
* gems installed to proper directory.
* gems, cache, and specifications files/directories owned properly.

APPROVED

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.
Comment 2 Jason Tibbitts 2009-01-13 18:17:15 EST
Did you want to get this imported and built?
Comment 3 Jeroen van Meeuwen 2009-01-15 09:34:51 EST
No, I'm sorry:

New Package CVS Request
=======================
Package Name: rubygem-restr
Short Description: Simple client for RESTful web services
Owners: kanarip
Branches: EL-4 EL-5 F-9 F-10
InitialCC: kanarip
Comment 4 Kevin Fenzi 2009-01-15 15:46:38 EST
cvs done.
Comment 5 Fedora Update System 2009-01-18 07:57:15 EST
rubygem-restr-0.4.0-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rubygem-restr-0.4.0-1.fc9
Comment 6 Fedora Update System 2009-01-18 07:57:51 EST
rubygem-restr-0.4.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rubygem-restr-0.4.0-1.fc10
Comment 7 Fedora Update System 2009-01-21 16:31:03 EST
rubygem-restr-0.4.0-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update rubygem-restr'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0783
Comment 8 Fedora Update System 2009-01-21 16:34:16 EST
rubygem-restr-0.4.0-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-restr'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0807
Comment 9 Fedora Update System 2009-02-04 21:08:26 EST
rubygem-restr-0.4.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-02-04 21:14:18 EST
rubygem-restr-0.4.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.